NNODES=2

Vagrant.configure("2") do |config|
    # Configuration de la VM elasticsearch
    (0..NNODES - 1).each do |i|
    config.vm.define "elk-node-#{i}" do |server|
        server.vm.hostname = "elk-node-#{i}"
        server.vm.box = "debian/bookworm64"
        server.vm.provider :libvirt do |libvirt|
            libvirt.cpus = 2
            libvirt.memory = 2048
        end
        server.vm.network :private_network, 
            :ip => "192.168.56.3#{i}", 
            :libvirt__network_name => "network"
        server.vm.provision "shell", path: "../scripts/tpl-debian.sh"
        end
    end
end